import dynamix_sdk.base as _base


class CloudapiComputeDiskDetachResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeDiskDetachProtocol(_base.BasePostAPIFunctionProtocol):
    def disk_detach(
        self,
        *,
        vm_id: int,
        disk_id: int,
    ) -> CloudapiComputeDiskDetachResultBool:
        ...
